Index: trunk/shell/pin-dom0-vcpus
===================================================================
--- trunk/shell/pin-dom0-vcpus	(revision 0)
+++ trunk/shell/pin-dom0-vcpus	(revision 27)
@@ -0,0 +1,20 @@
+#! /bin/sh -x
+#
+# ST 2012-05-15
+#
+# Pint the dom0 vcpus.
+#
+# Get the directory of the script.
+SCRIPT_PATH=`dirname $0`
+# Get the script name.
+SCRIPT_NAME=`basename $0`
+# Source the common configuration variables.
+. $SCRIPT_PATH/c-i-a-b.common
+#
+# Pin the VPCU to the selected CPU for dom0
+VCPU_NUM=0
+for i in $DOM0_CPUS_LIST; do
+  xm vcpu-pin $CONST_XEN_DOM0_NAME $VCPU_NUM $i
+  VCPU_NUM=$((VCPU_NUM + 1))
+done
+

Property changes on: trunk/shell/pin-dom0-vcpus
___________________________________________________________________
Added: svn:executable
   + *

Index: trunk/shell/set-xen-config
===================================================================
--- trunk/shell/set-xen-config	(revision 26)
+++ trunk/shell/set-xen-config	(revision 27)
@@ -52,7 +52,7 @@
 # Pin the VPCU to the selected CPU for dom0
 VCPU_NUM=0
 for i in $DOM0_CPUS_LIST; do
-  xm vcpu-pin $CONST_DOM0_NAME $VCPU_NUM $i
+  xm vcpu-pin $CONST_XEN_DOM0_NAME $VCPU_NUM $i
   VCPU_NUM=$((VCPU_NUM + 1))
 done
 
Index: trunk/shell/create-start-front-end
===================================================================
--- trunk/shell/create-start-front-end	(revision 26)
+++ trunk/shell/create-start-front-end	(revision 27)
@@ -133,49 +133,59 @@
 #
 # Configure the specific files from templates
 #
+# Create the /etc directory, if necessary
+if [ ! -d $FRONT_END_SYSTEM_DISK_MOUNT_POINT/etc ] ; then
+  mkdir $FRONT_END_SYSTEM_DISK_MOUNT_POINT/etc
+fi
 # /etc/network/interfaces
 # The first interface is DHCP configured.
+# No '/' between $FRONT_END_SYSTEM_DISK_MOUNT_POINT and $CURRENT_PATH
 CURRENT_PATH=/etc/network
+if [ ! -d ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH} ] ; then
+  mkdir ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}
+fi
 cp templates$CURRENT_PATH/$FRONT_END_INTERFACES_TEMPLATE \
-   $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-if [ $CLUSTER_EXTERNAL_ADDRESSES_BY_DHCP -eq 1 ] ;then
+   $FRONT_END_SYSTEM_DISK_MOUNT_POINT$CURRENT_PATH/interfaces
+if [ $CLUSTER_EXTERNAL_ADDRESSES_BY_DHCP -eq 1 ] ; then
   ETH0_STANZA="iface eth0 inet dhcp"
   rpl __ETH0_STATIC_OR_DHCP__ "$ETH0_STANZA"  \
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_ADDRESS__ ""
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_NETMASK__ ""
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_GATEWAY__ ""
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_BROADCAST__ ""
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_NAMESERVERS__ ""
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_DNS_SEARCH__ ""
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_ADDRESS__ "" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_NETMASK__ "" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_NETWORK__ "" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_GATEWAY__ "" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_BROADCAST__ "" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_NAMESERVERS__ "" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_DNS_SEARCH__ "" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
 else
   ETH0_STANZA="iface eth0 inet static"
   rpl __ETH0_STATIC_OR_DHCP__ "$ETH0_STANZA"  \
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_ADDRESS__ "$FRONT_END_CLUSTER_STATIC_IP"
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_NETMASK__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_NETMASK"
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_NETWORK__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_NETWORK"
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_GATEWAY__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_GATEWAY"
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_BROADCAST__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_BROADCAST"
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_NAMESERVERS__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_DNS_NAMESERVERS"
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-  echo y | rpl __ETH0_STATIC_DNS_SEARCH__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_DNS_SEARCH"
-      $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces 
+  echo y | rpl __ETH0_STATIC_ADDRESS__ "$FRONT_END_CLUSTER_STATIC_IP" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces 
+  echo y | rpl __ETH0_STATIC_NETMASK__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_NETMASK" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces 
+  echo y | rpl __ETH0_STATIC_NETWORK__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_NETWORK" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
+  echo y | rpl __ETH0_STATIC_GATEWAY__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_GATEWAY" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces 
+  echo y | rpl __ETH0_STATIC_BROADCAST__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_BROADCAST" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces 
+  echo y | rpl __ETH0_STATIC_NAMESERVERS__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_DNS_NAMESERVERS" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces 
+  echo y | rpl __ETH0_STATIC_DNS_SEARCH__ "$FRONT_END_EXTERNAL_INTERFACE_STATIC_DNS_SEARCH" \
+      ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
 fi 
 ADDRESS="$CLUSTER_STATIC_NETWORK_PREFIX.$FRONT_END_STATIC_NETWORK_POSTFIX"
 rpl __ETH1_STATIC_ADDRESS__ $ADDRESS  \
-    $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
+    ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/interfaces
 # /etc/hostname
 CURRENT_PATH=/etc
 echo $CURRENT_HOST_NAME > "${FRONT_END_DISK_MOUNT_POINT}${CURRENT_PATH}/hostname"
@@ -183,7 +193,7 @@
 CURRENT_PATH=/etc
 CURRENT_HOST_IP="${CLUSTER_STATIC_NETWORK_PREFIX}.${FRONT_END_STATIC_NETWORK_POSTFIX}"
 cp templates$CURRENT_PATH/hosts \
-   $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH
+   ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}
 rpl __COMPUTE_NODE_IP__ $CURRENT_HOST_IP \
     ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/hosts
 rpl __COMPUTE_NODE_NAME__ $CURRENT_HOST_NAME \
Index: trunk/shell/c-i-a-b.common
===================================================================
--- trunk/shell/c-i-a-b.common	(revision 26)
+++ trunk/shell/c-i-a-b.common	(revision 27)
@@ -1,8 +1,12 @@
 # ST - 2012-03-09
 # Constants that no one should not change.
+# Compute nodes from 1 to 250
+CONST_COMPUTE_NODE_MAX_NUM=250
+CONST_COMPUTE_NODE_MODEL_CLUSTER_MODEL_STATIC_NETWORK_POSTFIX=252
+CONST_FRONT_END_TEMPLATE_NAME="front-end.cfg"
+CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX=251
 CONST_NULL_DISK_SIZE=0G # For several configuration files.
 CONST_NO_DHCP="NO_DHCP"
-CONST_FRONT_END_TEMPLATE_NAME="front-end.cfg"
 #
 # Constant that may change with another Xen version.
 CONST_XEN_BRIDGE_PREFIX="bridge="
@@ -42,8 +46,8 @@
 COMPUTE_NODE_KERNEL=/boot/vmlinuz-`uname -r`
 COMPUTE_NODE_MAX_NUM=250
 COMPUTE_NODE_MEMORY=3072
+COMPUTE_NODE_MODEL_CLUSTER_STATIC_IP="$CLUSTER_STATIC_NETWORK_PREFIX.$CONST_COMPUTE_NODE_MODEL_CLUSTER_STATIC_NETWORK_POSTFIX"
 COMPUTE_NODE_MODEL_EXTERNAL_MAC_ADDRESS="${CLUSTER_EXTERNAL_MAC_PREFIX}01"
-COMPUTE_NODE_MODEL_STATIC_NETWORK_POSTFIX=252
 COMPUTE_NODE_MODEL_STATIC_IP_EXTERNAL=
 COMPUTE_NODE_MODEL_HOST_NAME="tamadi-1-cnm"
 COMPUTE_NODE_NAME_PREFIX="compute-node-"
@@ -59,6 +63,7 @@
 DOM0_CPUS_LIST="0 4"
 DOM0_CPUS_NUM=2
 DOM0_CPUS_CLAUSE="(dom0-cpus $DOM0_CPUS_NUM)"
+FRONT_END_CLUSTER_STATIC_IP="$CLUSTER_STATIC_NETWORK_PREFIX.$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX"
 FRONT_END_CPUS_LIST="8 12 16"
 FRONT_END_EXTERNAL_INTERFACE_STATIC_NETMASK=255.255.255.0
 FRONT_END_EXTERNAL_INTERFACE_STATIC_NETWORK=140.77.15.0
@@ -77,8 +82,6 @@
 FRONT_END_INTERFACES_TEMPLATE=interfaces.front-end
 FRONT_END_KERNEL=/boot/vmlinuz-`uname -r`
 FRONT_END_MEMORY=8192 # Must be in Mb for Xen 4.0
-FRONT_END_STATIC_NETWORK_POSTFIX=251
-FRONT_END_CLUSTER_STATIC_IP="$CLUSTER_STATIC_NETWORK_PREFIX.$FRONT_END_STATIC_NETWORK_POSTFIX"
 FRONT_END_EXTERNAL_STATIC_IP="$CLUSTER_STATIC_NETWORK_PREFIX.$FRONT_END_STATIC_NETWORK_POSTFIX"
 FRONT_END_RAMDISK=/boot/initrd.img-`uname -r`
 FRONT_END_SWAP_DISK="frontend-swap"
Index: trunk/shell/templates/etc/network/interfaces.front-end
===================================================================
--- trunk/shell/templates/etc/network/interfaces.front-end	(revision 26)
+++ trunk/shell/templates/etc/network/interfaces.front-end	(revision 27)
@@ -3,16 +3,15 @@
 
 # The loopback network interface
 auto lo eth0 eth1
-iface lo inet loopback
+__ETH0_STATIC_OR_DHCP__
 #
 # The primary network interface
-__ETH0_STATIC_OR_DHCP__
 __ETH0_STATIC_ADDRESS__
 __ETH0_STATIC_NETMASK__
 __ETH0_STATIC_NETWORK__
-__EHT0_STATIC_GATEWAY__
+__ETH0_STATIC_GATEWAY__
 __ETH0_STATIC_BROADCAST__
-__ETH0_STATIC_DNS_NAMESERVERS__
+__ETH0_STATIC_NAMESERVERS__
 __ETH0_STATIC_DNS_SEARCH__
 #
 iface eth1 inet static
